Page MenuHomeFreeBSD

Add Xfce FAQ in htdocs/ directory
AcceptedPublic

Authored by olivierd on Dec 13 2014, 4:01 PM.

Details

Reviewers
bcr
Group Reviewers
xfce
Summary

This patch add Xfce specific FAQ in order to help users. It was an open task in the latest status report.

In "Resources" section I didn't mention Porter's handbook (section regarding Xfce is outdated), but an update is planned for the next stable release (4.12), after switch to USES= xfce, a draft can be found at D677 (I'm waiting update of multimedia/gstreamer1).

In x11-wm/xfce4 meta port, gdm will be replaced by x11/slim soon.
It's result of GNOME3 import, gdm requires x11/gnome-shell, and especially KMS drivers (PR195325).
SLiM works out of box, Xdm needs patch (explained in question #2). I'm also working on LightDM but I've encountered problem with authentication and I prefer to focus on sysutils/xfce4-power-manager update (with support of brightness through acpi_video).

Question #3 explained how to configure Xfce for our favorite locales.

Question #5 explained howto launch xfdashboard (imported recently).

Question #7 is necessary for new feature, zooming in x11-wm/xfce4-wm (4.11.x and higher)

Question #8 fixes PR 165685.

Question #9 will replace patch in x11-wm/xfce4-wm (PR 194135) and in upstream repository there're fixes for Qt and GTK3 applications.

Diff Detail

Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

olivierd updated this revision to Diff 2730.Dec 13 2014, 4:01 PM
olivierd retitled this revision from to Add Xfce FAQ in htdocs/ directory.
olivierd updated this object.
olivierd edited the test plan for this revision. (Show Details)
olivierd added reviewers: Doc Committers, xfce.
wblock added a subscriber: wblock.Dec 15 2014, 4:02 PM

There are whitespace issues, most of which might not matter with HTML. Normally we would not have whitespace before or after commands. For example,

<pre>

% xfconf-query -c xfwm4 -p /general/use_compositing -T

</pre>

would be

<pre>% xfconf-query -c xfwm4 -p /general/use_compositing -T</pre>

to avoid the blank space that appears before and after the command.

en_US.ISO8859-1/htdocs/xfce/index.xml
40 ↗(On Diff #2730)

These questions are not really sentences. This one could be reworded as "How is Xfce installed?" The next ones:
How is Xfce Started?
What about localization?
How can unified themes be used with GTK3 and GTK2?
How can xfdashboard be launched at startup?
How can keyboard shortcuts be changed for programs like Thunar and xfce4-terminal?
How is compositing enabled?
How can menu items be hidden?
How can the panel be hidden with fullscreen applications?
How can PulseAudio be disabled?

43 ↗(On Diff #2730)

Typo: s/wiht/with/

61 ↗(On Diff #2730)

<strong> is probably not needed.

70 ↗(On Diff #2730)

No comma needed.

olivierd updated this revision to Diff 2756.Dec 16 2014, 5:32 AM

Apply Warren's comments.

More comments. Other than these, the only thing I see is the indent value. Our (FreeBSD doc) standard is two spaces per level, with multiples of 8 replaced with tabs. Sorry if these seems picky.

Thank you for your work with Xfce!

index.xml
60

Either "to use the pkg(8) utility" or just "to use pkg(8):".

98

Please avoid using "you" and "your". Instead:

<p>To use Xdm, apply this <a

99

Please avoid contractions:

It is a well-known bug (<a

(Should this be "It fixes a well-known bug"?)

112

Please avoid using "you":

Even if the system has already been <a href="../doc/en_US.ISO8859-1/books/handbook/l10n.html">configure​d for localization</a>, additional localization settings must be added to <tt>.xinitrc</tt> file.</p>

121

"that" is not needed, just "defined like:"

130

No comma after encoding, and "define a new variable,".

152

the value of the

169

Try to avoid asides:

Or make sure the <tt>autostart/</tt> directory exists, and copy the <tt>xfdashboard-autostart.desktop</tt> file into it.

174

To avoid "you":

Keyboard shortcuts can now be defined.

194

When the item menu is active (highlighted), keyboard shortcuts can be directly defined by passing the mouse over it.

203

the <strong>Compositor</strong>

205

the value

218

No need for the aside:

and right-click on one item in the right pane, then select...

226

Sometimes when applications are in full-screen mode, panels are

227

Avoid "you":

The value of <tt>disable-struts</tt> can be changed.

238

Either "the file" or just remove "file"

In <tt>~/.config/pulse/client.conf</tt>, replace these lines:

remko added a subscriber: remko.Jan 3 2015, 7:33 AM

I agree with Warren's comments here, the rest looks fine.

index.xml
43

themes instead of 'thems'.

olivierd updated this revision to Diff 3914.Feb 22 2015, 10:08 PM
  • Fix indentation (follow style guide), and sentences
  • Add and rewrite entries

Some new entries will be available with the latest release 4.12 (planned for the end of Frebruary).

In resource section, I did not mention Porter's Handbook, but patch [1] is also available.

[1] https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=197878

olivierd updated this revision to Diff 4294.Mar 19 2015, 6:08 PM

Add new question, in order to adopt same behaviour between Thunar and GtkFileChooserDialog widget (usually with GTK3 applications).

Fix also ambiguity, because compositing is enabled by default with Xfce 4.12

bcr added a subscriber: bcr.Mar 19 2015, 9:27 PM

Some suggestions...

index.xml
61

I'd use "How can we adopt the same behavior as ...".

282

Add the "the" here as well, and also use behavior (without u) for consistency. ;-)

285

I think it sounds better to use:
By default, Thunar displays ...

289

"the" same ...

olivierd updated this revision to Diff 4300.Mar 20 2015, 4:06 PM

Add comments from Benedict Reuschling, thanks!

bcr accepted this revision.Mar 20 2015, 6:41 PM
bcr added a reviewer: bcr.

Looks good to me. Thanks for working on it!

This revision is now accepted and ready to land.Mar 20 2015, 6:41 PM
olivierd updated this revision to Diff 4579.Apr 1 2015, 7:42 PM
olivierd edited edge metadata.

Fix sentences (spelling and rewrite).

This revision now requires review to proceed.Apr 1 2015, 7:42 PM
wblock added inline comments.Apr 2 2015, 1:58 AM
index.xml
222

s/new/a new/

olivierd updated this revision to Diff 4591.Apr 2 2015, 4:43 AM
olivierd edited edge metadata.

Add an indefinite article (line 222), comment from Warren.

wblock added inline comments.Apr 2 2015, 2:09 PM
index.xml
4

Sorry, I didn't see this before: should that be "called"?

olivierd updated this revision to Diff 7290.Jul 25 2015, 12:40 PM

New update:

  • Fix indentation and spelling
  • Add 2 spaces between each sentence
  • Add 2 new questions (#09 and #15)
  • Re-use 'os' and 'url.doc.base' entities

I think FAQ is now complete. Power-manager is also planned, but I prefer to write specific page, because there're changes with sysutils/polkit >= 0.106 (I submitted PR in order to update sysutils/polkit).

bcr added a comment.Jul 26 2015, 9:14 AM

I've found some language nits and provided suggestions on fixing them.

index.xml
31

address -> addressed

134

environments -> environment

180

hightlighted -> highlighted

184

settings -> setting (only one)

wblock added inline comments.Jul 26 2015, 12:41 PM
index.xml
5

Duplicating several existing entities here seems like it could cause problems in the future when the originals change. It should be possible to include the existing URL entities. (I can make suggestions on that later.)

10

These two forum entities are only used once in the text and might as well be a literal link.

11

This is only used once, so does not seem to need the overhead of making it an entity.

12

If possible, add to existing url entities and import them. If not, at least use the same naming conventions, for url.xfce.

13

These two Gnome entities are only used once in the text. Might as well be a literal link.

sbruno added a subscriber: sbruno.Apr 18 2016, 8:45 PM

Hmmm ... this review has been open for a loooong time. Is it deprecated or should this be updated to reflect review comments?

Hmmm ... this review has been open for a loooong time. Is it deprecated or should this be updated to reflect review comments?

Just waiting for a minor update, I think.

sbruno removed a subscriber: sbruno.Jan 31 2017, 4:04 PM

Huh ... I saw this review and noted that its still open. Is this still under evaluation?

This revision is now accepted and ready to land.Sep 27 2017, 6:51 PM

bump. @olivierd Do you intend to commit this or do you need a doc committer to finish this off?